<?php

/*
 * Copyright (c) 2012-2014 Alessandro Siragusa <alessandro@togu.io>
 *
 * This file is part of the Togu CMS.
 *
 * Togu is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Togu is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Togu.  If not, see <http://www.gnu.org/licenses/>.
 */

namespace Togu\ApplicationModelsBundle\EventListener;

use Doctrine\Common\EventSubscriber;
use Doctrine\Common\Persistence\Event\LifecycleEventArgs;

use Application\Togu\ApplicationModelsBundle\Document\Page;
use Symfony\Component\Routing\Generator\UrlGeneratorInterface;

class PageListener implements EventSubscriber
{
	protected $urlGenerator;

	/**
	 *
	 * @param AnnotationProcessor $processor
	 * @param UrlGeneratorInterface $urlGenerator
	 */
	public function __construct(UrlGeneratorInterface $urlGenerator) {
		$this->urlGenerator = $urlGenerator;
	}

	public function getSubscribedEvents()
	{
		return array(
			'postLoad'
		);
	}

	public function postLoad(LifecycleEventArgs $args) {
		$entity = $args->getEntity();
		if(! $entity instanceof Page) {
			return;
		}

		$entity->setUrl($this->urlGenerator->generate($entity));
	}
}